This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Detail
Vendor Cisco First view 2015-09-19
Product Prime Collaboration Provisioning Last view 2020-05-22
Version 9.5.0 Type Application
Update *  
Edition *  
Language *  
Sofware Edition *  
Target Software *  
Target Hardware *  
Other *  
 
CPE Product cpe:2.3:a:cisco:prime_collaboration_provisioning

Activity : Overall

Related : CVE

  Date Alert Description
7.2 2020-05-22 CVE-2020-3184

A vulnerability in the web-based management interface of Cisco Prime Collaboration Provisioning Software could allow an authenticated, remote attacker to conduct SQL injection attacks on an affected system. The vulnerability exists because the web-based management interface improperly validates user input for specific SQL queries. An attacker could exploit this vulnerability by authenticating to the application with valid administrative credentials and sending malicious requests to an affected system. A successful exploit could allow the attacker to view information that they are not authorized to view, make changes to the system that they are not authorized to make, or delete information from the database that they are not authorized to delete.

5.3 2020-03-04 CVE-2020-3193

A vulnerability in the web-based management interface of Cisco Prime Collaboration Provisioning could allow an unauthenticated, remote attacker to obtain sensitive information about an affected device. The vulnerability exists because replies from the web-based management interface include unnecessary server information. An attacker could exploit this vulnerability by inspecting replies received from the web-based management interface. A successful exploit could allow the attacker to obtain details about the operating system, including the web server version that is running on the device, which could be used to perform further attacks.

6.1 2020-03-04 CVE-2020-3192

A vulnerability in the web-based management interface of Cisco Prime Collaboration Provisioning could allow an unauthenticated, remote attacker to conduct a cross-site scripting (XSS) attack against a user of the web-based management interface. The vulnerability is due to insufficient validation of user-supplied input by the web-based management interface. An attacker could exploit this vulnerability by persuading a user of the interface to click a crafted link. A successful exploit could allow the attacker to execute arbitrary script code in the context of the interface or access sensitive, browser-based information.

6.5 2018-08-01 CVE-2018-0391

A vulnerability in the password change function of Cisco Prime Collaboration Provisioning could allow an authenticated, remote attacker to cause the system to become inoperable. The vulnerability is due to insufficient validation of a password change request. An attacker could exploit this vulnerability by changing a specific administrator account password. A successful exploit could allow the attacker to cause the affected device to become inoperable, resulting in a denial of service (DoS) condition. This vulnerability affects Cisco Prime Collaboration Provisioning (PCP) Releases 12.2 and prior. Cisco Bug IDs: CSCvd86586.

8.8 2018-06-07 CVE-2018-0322

A vulnerability in the web management interface of Cisco Prime Collaboration Provisioning (PCP) could allow an authenticated, remote attacker to modify sensitive data that is associated with arbitrary accounts on an affected device. The vulnerability is due to a failure to enforce access restrictions on the Help Desk and User Provisioning roles that are assigned to authenticated users. This failure could allow an authenticated attacker to modify critical attributes of higher-privileged accounts on the device. A successful exploit could allow the attacker to gain elevated privileges on the device. This vulnerability affects Cisco Prime Collaboration Provisioning (PCP) Releases 12.1 and prior. Cisco Bug IDs: CSCvd61779.

9.8 2018-06-07 CVE-2018-0321

A vulnerability in Cisco Prime Collaboration Provisioning (PCP) could allow an unauthenticated, remote attacker to access the Java Remote Method Invocation (RMI) system. The vulnerability is due to an open port in the Network Interface and Configuration Engine (NICE) service. An attacker could exploit this vulnerability by accessing the open RMI system on an affected PCP instance. An exploit could allow the attacker to perform malicious actions that affect PCP and the devices that are connected to it. This vulnerability affects Cisco Prime Collaboration Provisioning (PCP) Releases 11.6 and prior. Cisco Bug IDs: CSCvd61746.

9.8 2018-06-07 CVE-2018-0320

A vulnerability in the web framework code of Cisco Prime Collaboration Provisioning (PCP) could allow an unauthenticated, remote attacker to execute arbitrary SQL queries. The vulnerability is due to a lack of proper validation on user-supplied input in SQL queries. An attacker could exploit this vulnerability by sending crafted URLs that contain malicious SQL statements to the affected application. This vulnerability affects Cisco Prime Collaboration Provisioning (PCP) Releases 12.1 and prior. Cisco Bug IDs: CSCvd61754.

9.8 2018-06-07 CVE-2018-0319

A vulnerability in the password recovery function of Cisco Prime Collaboration Provisioning (PCP) could allow an unauthenticated, remote attacker to gain unauthorized access to an affected device. The vulnerability is due to insufficient validation of a password recovery request. An attacker could exploit this vulnerability by submitting a password recovery request and changing the password for any user on an affected system. An exploit could allow the attacker to gain administrative-level privileges on the affected system. This vulnerability affects Cisco Prime Collaboration Provisioning (PCP) Releases 11.6 and prior. Cisco Bug IDs: CSCvd07253.

9.8 2018-06-07 CVE-2018-0318

A vulnerability in the password reset function of Cisco Prime Collaboration Provisioning (PCP) could allow an unauthenticated, remote attacker to gain unauthorized access to an affected device. The vulnerability is due to insufficient validation of a password reset request. An attacker could exploit this vulnerability by submitting a password reset request and changing the password for any user on an affected system. An exploit could allow the attacker to gain administrative-level privileges on the affected system. This vulnerability affects Cisco Prime Collaboration Provisioning (PCP) Releases 11.6 and prior. Cisco Bug IDs: CSCvd07245.

8.8 2018-06-07 CVE-2018-0317

A vulnerability in the web interface of Cisco Prime Collaboration Provisioning (PCP) could allow an authenticated, remote attacker to escalate their privileges. The vulnerability is due to insufficient web portal access control checks. An attacker could exploit this vulnerability by modifying an access request. An exploit could allow the attacker to promote their account to any role defined on the system. This vulnerability affects Cisco Prime Collaboration Provisioning (PCP) Releases 12.2 and prior. Cisco Bug IDs: CSCvc90286.

8.1 2017-11-02 CVE-2017-12276

A vulnerability in the web framework code for the SQL database interface of the Cisco Prime Collaboration Provisioning application could allow an authenticated, remote attacker to impact the confidentiality and integrity of the application by executing arbitrary SQL queries, aka SQL Injection. The attacker could read or write information from the SQL database. The vulnerability is due to a lack of proper validation on user-supplied input within SQL queries. An attacker could exploit this vulnerability by sending crafted URLs that contain malicious SQL statements to the affected application. An exploit could allow the attacker to determine the presence of certain values and write malicious input in the SQL database. The attacker would need to have valid user credentials. This vulnerability affects Cisco Prime Collaboration Provisioning Software Releases prior to 12.3. Cisco Bug IDs: CSCvf47935.

6.5 2017-05-21 CVE-2017-6637

A vulnerability in the web interface of Cisco Prime Collaboration Provisioning Software (prior to Release 11.1) could allow an authenticated, remote attacker to delete any file from an affected system. The vulnerability exists because the affected software does not perform proper input validation of HTTP requests and fails to apply role-based access controls (RBACs) to requested HTTP URLs. An attacker could exploit this vulnerability by sending a crafted HTTP request that uses directory traversal techniques to submit a path to a desired file location on an affected system. A successful exploit could allow the attacker to delete any file from the system. Cisco Bug IDs: CSCvc99618.

6.5 2017-05-21 CVE-2017-6636

A vulnerability in the web interface of Cisco Prime Collaboration Provisioning Software (prior to Release 11.1) could allow an authenticated, remote attacker to view any file on an affected system. The vulnerability exists because the affected software does not perform proper input validation of HTTP requests and fails to apply role-based access controls (RBACs) to requested HTTP URLs. An attacker could exploit this vulnerability by sending a crafted HTTP request that uses directory traversal techniques to submit a path to a desired file location on an affected system. A successful exploit could allow the attacker to view any file on the system. Cisco Bug IDs: CSCvc99604.

6.5 2017-05-21 CVE-2017-6635

A vulnerability in the web interface of Cisco Prime Collaboration Provisioning Software (prior to Release 12.1) could allow an authenticated, remote attacker to delete any file from an affected system. The vulnerability exists because the affected software does not perform proper input validation of HTTP requests and fails to apply role-based access controls (RBACs) to requested HTTP URLs. An attacker could exploit this vulnerability by sending a crafted HTTP request that uses directory traversal techniques to submit a path to a desired file location on an affected system. A successful exploit could allow the attacker to delete any file from the system. Cisco Bug IDs: CSCvc99597.

9.8 2017-05-18 CVE-2017-6622

A vulnerability in the web interface for Cisco Prime Collaboration Provisioning could allow an unauthenticated, remote attacker to bypass authentication and perform command injection with root privileges. The vulnerability is due to missing security constraints in certain HTTP request methods, which could allow access to files via the web interface. An attacker could exploit this vulnerability by sending a crafted HTTP request to the targeted application. This vulnerability affects Cisco Prime Collaboration Provisioning Software Releases prior to 12.1. Cisco Bug IDs: CSCvc98724.

7.5 2017-05-18 CVE-2017-6621

A vulnerability in the web interface of Cisco Prime Collaboration Provisioning could allow an unauthenticated, remote attacker to access sensitive data. The attacker could use this information to conduct additional reconnaissance attacks. The vulnerability is due to insufficient protection of sensitive data when responding to an HTTP request on the web interface. An attacker could exploit the vulnerability by sending a crafted HTTP request to the application to access specific system files. An exploit could allow the attacker to obtain sensitive information about the application which could include user credentials. This vulnerability affects Cisco Prime Collaboration Provisioning Software Releases 10.6 through 11.5. Cisco Bug IDs: CSCvc99626.

9 2015-09-19 CVE-2015-4307

The web framework in Cisco Prime Collaboration Provisioning before 11.0 allows remote authenticated users to bypass intended access restrictions and create administrative accounts via a crafted URL, aka Bug ID CSCut64111.

CWE : Common Weakness Enumeration

%idName
25% (3) CWE-287 Improper Authentication
25% (3) CWE-89 Improper Sanitization of Special Elements used in an SQL Command ('...
16% (2) CWE-200 Information Exposure
8% (1) CWE-264 Permissions, Privileges, and Access Controls
8% (1) CWE-79 Failure to Preserve Web Page Structure ('Cross-site Scripting')
8% (1) CWE-22 Improper Limitation of a Pathname to a Restricted Directory ('Path ...
8% (1) CWE-20 Improper Input Validation

SAINT Exploits

Description Link
Cisco Prime Collaboration Provisioning ScriptMgr HEAD request vulnerability More info here

Information Assurance Vulnerability Management (IAVM)

id Description
2015-A-0226 Cisco Prime Collaboration Provisioning Security Bypass Vulnerability
Severity: Category II - VMSKEY: V0061479

Snort® IPS/IDS

Date Description
2020-12-05 Cisco Prime Collaboration Provisioning password recovery field reuse attempt
RuleID : 46914 - Type : SERVER-WEBAPP - Revision : 1
2020-12-05 Cisco Prime Collaboration Provisioning potentially unauthenticated administra...
RuleID : 46911 - Type : SERVER-WEBAPP - Revision : 1
2020-12-05 Cisco Prime Collaboration Provisioning access control group modification requ...
RuleID : 46899 - Type : POLICY-OTHER - Revision : 1
2020-12-05 Cisco Prime Collaboration Provisioning Java remote method invocation attempt
RuleID : 46893 - Type : SERVER-OTHER - Revision : 1
2020-12-05 Cisco Prime Collaboration Provisioning SQL injection attempt
RuleID : 46892 - Type : SERVER-WEBAPP - Revision : 2
2020-12-05 Cisco Prime Collaboration Provisioning SQL injection attempt
RuleID : 46891 - Type : SERVER-WEBAPP - Revision : 2
2020-12-05 Cisco Prime Collaboration Provisioning SQL injection attempt
RuleID : 46890 - Type : SERVER-WEBAPP - Revision : 2
2020-12-05 Cisco Prime Collaboration Provisioning SQL injection attempt
RuleID : 46889 - Type : SERVER-WEBAPP - Revision : 2
2017-11-02 Cisco Prime Collaboration Provisioning pmclasschooser.xml SQL injection attempt
RuleID : 44723 - Type : SERVER-WEBAPP - Revision : 1
2017-11-02 Cisco Prime Collaboration Provisioning pmclasschooser.xml SQL injection attempt
RuleID : 44722 - Type : SERVER-WEBAPP - Revision : 1
2017-08-29 Cisco Prime Collaboration logconfigtracer directory traversal attempt
RuleID : 44127 - Type : SERVER-WEBAPP - Revision : 1
2017-08-29 Cisco Prime Collaboration logconfigtracer directory traversal attempt
RuleID : 44126 - Type : SERVER-WEBAPP - Revision : 1
2017-08-29 Cisco Prime Collaboration logconfigtracer directory traversal attempt
RuleID : 44125 - Type : SERVER-WEBAPP - Revision : 1
2017-05-17 Cisco Prime Collaboration potentially unauthorized log file access detected
RuleID : 42924 - Type : POLICY-OTHER - Revision : 1
2017-05-17 Cisco Prime Collaboration ScriptMgr authentication bypass attempt
RuleID : 42923 - Type : SERVER-WEBAPP - Revision : 2
2016-10-06 Cisco prime collaboration provisioning web framework access control bypass at...
RuleID : 40287 - Type : SERVER-OTHER - Revision : 1

Nessus® Vulnerability Scanner

id Description
2017-11-08 Name: The remote network management server is affected by a SQL injection vulnerabi...
File: cisco_prime_cp_sa-20171101-cpcp.nasl - Type: ACT_GATHER_INFO
2017-07-13 Name: The remote network management server is affected by a remote command executio...
File: cisco_prime_cp_cve-2017-6622.nasl - Type: ACT_ATTACK
2017-05-22 Name: The remote network management server is affected by multiple vulnerabilities.
File: cisco_prime_cp_sa-20170517-pcp1.nasl - Type: ACT_GATHER_INFO
2015-09-29 Name: The remote network management device is affected by a security bypass vulnera...
File: cisco_prime_cp_sa-20150916.nasl - Type: ACT_GATHER_INFO